Highlighted

"[iOS] IPA packaging fails intermittently with ld error (4117478)" more frequent in 22 than in 21?

New Here ,
Apr 07, 2016

Copy link to clipboard

Copied

Hi there

While developing with Air 21 in Flashdevelop my application will fail to do an ad-hoc build like 4 times out of 5 attempts throwing the error:

ld: -pie can only be used when targeting iOS 4.2 or later

Compilation failedf while executing : ld64

But sometimes (1 out of 5 or so) it will successfully package and the application with my 3 anes will work perfectly and as expected.

Is this behaviour what the Air 22 release notes refer as the known issue "[iOS] IPA packaging fails intermittently with ld error (4117478)"? (the bug report seems somehow different to what I'm getting)

Thing is since I've updated to Air 22 this behaviour is gone worse... now I get 1 successful packaging out of 20!... I have spend all day trying to figure out a hidden pattern or something but with no luck.

Worth mentioning none of this was happening with Air 19.

Anyone else experiencing same problems?

Thanks

R

TOPICS
Air beta

Views

1.1K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

"[iOS] IPA packaging fails intermittently with ld error (4117478)" more frequent in 22 than in 21?

New Here ,
Apr 07, 2016

Copy link to clipboard

Copied

Hi there

While developing with Air 21 in Flashdevelop my application will fail to do an ad-hoc build like 4 times out of 5 attempts throwing the error:

ld: -pie can only be used when targeting iOS 4.2 or later

Compilation failedf while executing : ld64

But sometimes (1 out of 5 or so) it will successfully package and the application with my 3 anes will work perfectly and as expected.

Is this behaviour what the Air 22 release notes refer as the known issue "[iOS] IPA packaging fails intermittently with ld error (4117478)"? (the bug report seems somehow different to what I'm getting)

Thing is since I've updated to Air 22 this behaviour is gone worse... now I get 1 successful packaging out of 20!... I have spend all day trying to figure out a hidden pattern or something but with no luck.

Worth mentioning none of this was happening with Air 19.

Anyone else experiencing same problems?

Thanks

R

TOPICS
Air beta

Views

1.1K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Apr 07, 2016 0
Explorer ,
Apr 10, 2016

Copy link to clipboard

Copied

Hi,

Thanks a lot for reporting this issue.We are not able to reproduce this issue at our end .Can you please share us a sample project and ANE's on which this issue is reproducible.Also can you please let us know whether you are using hideanesymbols as yes or no and on which build of 22 you were able to reproduce this issue.

Thanks,

Adobe AIR Team

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 10, 2016 0
New Here ,
Apr 27, 2016

Copy link to clipboard

Copied

I'm getting this error with AIR 19, 20 and 21.

AIR 18 does work.

Any idea if there is a solution?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 27, 2016 0
Engaged ,
May 14, 2016

Copy link to clipboard

Copied

Hi,

Yes, I have the same issue. With AIR 19, all went fine, but I had to upgrade to AIR 22 due to a SSL warning from Google with my Android apps. Now when I try to compile iOS versions of my apps, I often get the same error as yours.

I also use FlashDevelop, but with custom compilation scripts (on Windows). That means that I don't use FD default compilation scripts, and compile by hand instead.

If I delete the "obj" folder created by FD after compiling the swf, it seems to help a bit though (but not always).

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 14, 2016 0
New Here ,
Jun 12, 2016

Copy link to clipboard

Copied

same problem here, with AIR 22 beta, using an ANE from distriqt. Deplying a debug version to an iPhone.

This is intermittent.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 12, 2016 0
New Here ,
Jun 17, 2016

Copy link to clipboard

Copied

Same problem here with AIR 21 using ANE productStore from GameSDK (64bits update) and FreshPlanet AirAlert, using Ant. The compilation is working on my local computer (Win8.1), but fail the majority of time on build server(Win2012 server).

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 17, 2016 0
Explorer ,
Jul 19, 2016

Copy link to clipboard

Copied

Hi All,

Thanks for information . We have tried to reproduce this issue by using AIRAlert.ane ,distriqt.Core.ane and distriqt.Upsight.ane.We are not able to reproduce this issue at our endon AIRSDK 20,21 and 22.Can any one share a sample project with ane on which this issue is reproducible so that we can investigate and debug the same.

Thanks,

Adobe AIR

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 19, 2016 0
Engaged ,
Jul 19, 2016

Copy link to clipboard

Copied

Just like to add we (distriqt) haven't been able to reproduce this error with our ANEs either.

What ANEs are you using?

Note: We definitely had issues with the 22 beta versions but the latest release has seemed really stable.    

air native extensions // https://airnativeextensions.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 19, 2016 0
New Here ,
Jul 19, 2016

Copy link to clipboard

Copied

I also upgraded from 22 beta to 22 recently, problem seems to not occur anymore the last week (strange immediately after the upgrade I still had the problem I think)

If the problem still occurs I'll let you know and share the code (it's in github actually except for the distriqt ane's that I use) : GitHub - JohanDegraeve/iosxdripreader: xdrip/xbridge reader for iOS devices

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 19, 2016 0
Participant ,
Jun 21, 2016

Copy link to clipboard

Copied

Adobe Air 22 is not working on iOS App Store. Since Adobe Air SDK 20 the apps do not work anymore. They crash. When Adobe will finally release a version which is working??

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 21, 2016 0
New Here ,
Jul 13, 2016

Copy link to clipboard

Copied

Adobe air dev team,

Do you have any status on this? We are experiencing the same issue with AIR 20 using ANEs from distriqt. I confirmed in the distriqt ane platform.xml that they are all targeting 5.1 or higher.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 13, 2016 0
Engaged ,
Jul 19, 2016

Copy link to clipboard

Copied

@eckhoff_randy Have you tried the latest version of 22, it's been fairly stable in most of our tests so far, regarding ANE packaging at least. We definitely are recommending using that over 20 or 21.

air native extensions // https://airnativeextensions.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 19, 2016 0